Qt Reference Documentation

# QWSPointerCalibrationData Class Reference

The QWSPointerCalibrationData class is a container for mouse calibration data in Qt for Embedded Linux. More...

     #include <QWSPointerCalibrationData>

- List of all members, including inherited members

## Public Types

enum | Location { TopLeft, BottomLeft, BottomRight, TopRight, Center, LastLocation }

## Public Variables

QPoint | devPoints[5]
QPoint | screenPoints[5]

## Detailed Description

The QWSPointerCalibrationData class is a container for mouse calibration data in Qt for Embedded Linux.

Note that this class is only available in Qt for Embedded Linux.

QWSPointerCalibrationData stores device and screen coordinates in the devPoints and screenPoints variables, respectively.

A calibration program should create a QWSPointerCalibrationData object, fill the devPoints and screenPoints variables with its device and screen coordinates, and pass the object to the mouse driver using the QWSMouseHandler::calibrate() function.

See also QWSCalibratedMouseHandler and Mouse Calibration Example.

## Member Type Documentation

### enum QWSPointerCalibrationData::Location

This enum describes the various logical positions that can be specified by the devPoints and screenPoints variables.

Constant | Value | Description
--- | --- | ---
`QWSPointerCalibrationData::TopLeft` | `0` | Index of the top left corner of the screen.
`QWSPointerCalibrationData::BottomLeft` | `1` | Index of the bottom left corner of the screen.
`QWSPointerCalibrationData::BottomRight` | `2` | Index of the bottom right corner of the screen.
`QWSPointerCalibrationData::TopRight` | `3` | Index of the top right corner of the screen.
`QWSPointerCalibrationData::Center` | `4` | Index of the center of the screen.
`QWSPointerCalibrationData::LastLocation` | `Center` | Last index in the pointer arrays.

## Member Variable Documentation

### QPoint QWSPointerCalibrationData::devPoints[5]

This variable holds the raw device coordinates for each value of the Location enum.

### QPoint QWSPointerCalibrationData::screenPoints[5]

This variable holds the logical screen coordinates for each value of the Location enum.